BER-PLOT

Software Information

Title | BER-PLOT
Version | 1.00
Language | English
File name | berplot.exe
Last Update | 2013/06/01
Licence | Shareware
Support | suda@asahinet.jp
Web site | http://www.w-frontier.com/crafts/berplot/
Copyright | Web Frontier (Japan)
Platform | Windows95,Windows98,Windows2000,WindowsNT,WindowsXP,Windows7
Copyright © 1999-2013 Web Frontier. All rights reserved.


Introduction

Introdcution

Thank you for purchasing "BER-PLOT".

In digital or optical transmission, the number of bit errors is the number of received bits of a data stream over a communication channel that have been altered due to noise, interference, distortion or bit synchronization errors. The bit error rate or bit error ratio (BER) is the number of bit errors divided by the total number of transferred bits during a studied time interval. BER is a unitless performance measure, often expressed as a percentage.

With the development of communications technology, efficient and quick evaluation for the communication quality is desired. However many people are drawing BER performances on error-rate grid sheet by hand at present. This application provides you with many functions for analyzing BER performances. From research usage to data sheet of product development, we offer a wide variety of applications. In addition, you can make a BER performance with the Postscript file format for academic research paper.


Import Licence File

Provided licence file is encrypted for security. It includes your registered information as below.

  • Name
  • E-mail address
  • Affiliation / Department
  • Purchase Date
  • Licence number

Set the licence file in the same directory as executable file of "berplot.exe" as shown below. I apologize in advance for Japanese enviroment of my computer.

Set the licence file in current directory.

If the licence file can be read successfully, the application will start. If not so, the apllication is terminated. DO NOT open and edit the licence file, or the application will not boot. You can see your licence information in menu "Help" >> "Information." Be careful not to give someone to this application for the leak of your licence information all over the world.

Replacement of a lost licence file is available based on your previous licence information. Reissue fee is $10 per 1 licence. Please retain the licence file.


Read Excel File

Tutorial >> Read Excel Files

You can read a number of worksheets automatically in Microsoft® Excel file (*.xls). However reading speed of Excel files is relatively slow in comparison to that of CSV files. We recommend you use CSV files if possible.

Import Excel Files

If an excel file is imported sucessfully, Excel worksheets' name are as shown in above screen.


Oepn File

Tutorial >> Oepn File

CSV-formatted files and Microsoft® Excel files (*.xls) are available. However, we recommend csv files are used in terms of loading speed and stability.

To draw a BER performance, follow these steps:

  • Click "New Graph."
  • Select one column as received power of x-coordinate.
  • Select another column as BER of y-coordinate.
  • BER performance will be created if rows of selected two columns are the same.

Note: As above screenshot, a BER performance would be created immediately if you select neighboring 2 columns and click "New Graph".


Graph List

Tutorial >> Graph List

If you want to see all graphs, click "Graph List" in "View."


Save File

Tutorial >> Save File

A chart can be saved in original format of an extension "ber." Check "Configuration" >> "System" in this help file if you want to restore the previous state on next start-up.

If you want to save a chart as image file format, click "Screenshot" in toolbar. It currently supports BMP, JPG, GIF, PNG, and EPS formats. In the case of JPG/JPEG format, you can set the compression ratio as follows:

  • Click "Configuration" in "Edit"
  • Select "System" tab.
  • Set "Compression Ratio" from 1 to 100.


Edit Plot Mark

Tutorial >> Edit Plot Mark

To edit a plot mark, click a graph title in a legend as shown in this figure. It is noted that default styles of mark and line can be set in "Configuration" >> "Graph I."

Choose graph title in a legend.

Edit plot mark and line.

If you want to use an image file as a mark, the maximum demensions of it should be 16 pixels width and height. In the case of exporting Postscript, closed-circle mark is applied as alternated.


Graph I

Configuration >> Graph I

Default Mark & Line Defintions

Default styles of mark and line can be set. When the number of graphs you load is larger than that of definitions, styles of mark and line are given as follows: Line type: none, Line color: black, Line width: 1, Mark type: Closed circle, Mark color: black, Mark size: 3

If you want to change styles of mark and line, click a graph title on a legend.

Linear Approximation

If you check "Draw Linear Approximation," linear approximation would be drawn on creating a graph. It is noted that the color of linear approximation follows that of normal line.


Graph II

Configuration >> Graph II

Additional lines

Horizontal and vertical chart gridlines can be set.

Legend

Font style of a graph legend on a chart can be set.

Error Dialog

A error dialog doesn't appear even if non-numerical characters contain in selected cells on worksheet. Non-numerical characters are recognized as zero.


X-Axis

Configuration >> X-Axis

Format & Font

"Decimals" indicates the precisions of scale markings on x-axis .

Range

In the case of automatic detection for maximum and minimum x-values, maximum and minimum values on the x-axis are re-calculated with considering the setting margin. For example, maximum x-value would be -10.5 dBm if maximum x-value and "Margin for Maximum Value" are assumed to be -10 dBm and 5%, respectively. A chart with the margin of 5% looks beautiful.

Maximum & Minimum Values

Maximum and minimum x-values can be set manually or automatically. If you check "Manual Setting," maximum and minimum x-values are set to input values. Otherwise, maximum and minimum x-values are recalculated and displayed with considering the setting margin.

Divisions

"Division Number" indicates the number of divisions along x-axis. If you want to change the number of divisions, check "Manual Setting" and set the value. Defalut value is set to 10.


Y-Axis

Configuration >> Y-Axis

Font

Font style of y-axis (BER) can be set.

Range

You can set the range of y values. Default range is set to 10-3 ~ 10-12. Displayable maximum and minimum values are 10-2 and 10-16, respectively. If you do not check "Manual Setting," maximum and minimum y-values are detected automatically.

Offset

You can adjust display positions of y values. (Position relation may collapse by display font.) Please adjust what you like looking "Sample View."


Labels

Configuration >> Labels

You can change caption and titles of x- and y- axes on the screen.

Character strings can be rotated from 0 degree to 360 degree.

Check "Automatic Alignment on Resizing", and positions of labels will be aligned automatically on resizing the screen.


Standard Mark

Configuration >> Standard Mark

To understand the signal quality quickly and visually is important for product development in terms of practical use. Standard mark for minimum and maximum receiving powers can be displayed. This figure show a display sample of "minimum receiving power."

Display parametes are defined as:

Setting of Standard Mark


System

Configuration >> System

JPEG

JPEG compression ratio can be set from 1 % to 100 %. The file size becomes smaller as compression ratio becomes larger.

Postscript

The postscript preview can be displayed immediately on this application by installing "GSview". The button of "Preview PS" in toolbar will be added if the executable file of "GSview" exists. "GSview" can be downloaded for free from http://pages.cs.wisc.edu/~ghost/gsview/. At the same time, I recommend you get "Ghostscript" from the same website.

Postscript font can be selected. Leave it blank if you want to use default font.

Start-up Setting

Please check "Restore the previous state on start-up" if you want to restore previous state on start-up. Then, the restore file "temp.ber" will be created in current directory.


Distance Measurement

Function >> Distance Measurement

You can easily measure the distance between two points on the screen.

To do this, follow these steps:

  • Click the "Distance Measurement" in "Edit." (Ctrl+D)
  • Confirmation dialog is shown.
  • Click the first coordinate on the screen.
  • Click the second coordinate on the screen.
  • Distance between two points is calculated.


Linear Approximation

Function >> Linear Approximation

Ideal BER performance is that BER is linear to received power on error-rate grid. Linearity is deteriorated due to noises.

Linear approximation is calculated based on least-square method. To use this function, follow these steps:

  • Click "Configuration" in "Edit."
  • Click "Graph I" tab.
  • Check "Draw Linear Approximation", and linear approximation is drawn when a graph is loaded.

If you want to draw linear approximation for each data, right-click a graph title on a legend and check "Show Linear Approximation".

Mutual information between X and Y can be calculated with "Edit" >> "Linear Approximation Data." The function of "Estimate Power Penalty" can be used if there are more than 2 BER curves applied to linear approximation.

Reference
  • Least squares: http://en.wikipedia.org/wiki/Least_squares


Estimate Power Penalty

Function >> Estimate Power Penalty

Optical power penalty is widely used for the quality of optical transmssion. However, it takes long time to analyze power penalties for many BER performances manually. This funcion enables you to quickly and easily estimate power penalties for all BER performances.

For example, this figure shows BER as a function of received power for OTDM-demultiplexing. The leftmost linear approximation shows "Back to Back." Other four lines show BER performances for demultiplexed channels. Let's estimate power penalties based on "Back to Back" at BER = 10-9.

  • Click the "Estimate Power Penalty" in "Edit."
  • Select "Back to Back" as "Base Graph."
  • Input or choose "1e-9" in "Target BER."
  • Power penalties for all BER performances except for "Base Graph" can be estimated automatically.
Estimation of Power Penalty

If you click "Copy," results would copy to clipboard as CSV format.


Postscript

Function >> Postscript

You can save a chart as Postscript file format. PostScript is widely used as a computer language for creating vector graphics. The postscript preview can be displayed immediately on this application by installing "GSview". For more information, please read "Configuration" >> "System."

If a picture image is used as a plot mark, closed-circle mark is applied as alternated.

Preview Postscript with "GSview."
Preview Postscript with GSview

The positions of graph components may collapse due to the difference between Windows and Postscript font sets. Please align them by graphic applications.


Algorithum

Other >> Algorithum

A BER performance is calculated based on these formula for an intensity modulated direct detection (IM-DD) receiver. The operator erfc( ) is the complementary error function, defined as next equation.

The Q parameter is given by P′ / (σ0 + σ1) = P′ / σ, where σ0 and σ1 are standard deviations of "0" level and "1" level, respectively. The paramter P′ is optical power [Watt]. Thus, the Q parameter is in proportion to optical power [dBm] in logarithmic axis. However the integration of this equation cannot be solved mechanically. To solve it, the approximation form of BER is given by using the asymptotic expansion.

This asymptotic expansion is reasonably accurate for Q > 3 in Ref. [1]. Table 1 shows the BER as a function of the Q parameter with and without asymptotic expansion. The plot error indicates the error of plot point on the screen when the drawing height of y-axis is 500 pixels. Therefore, please understand there is a slight error if you draw a BER performance from 10-2. In the case of starting to draw from 10-3, this error is negligibly-small.

Table 1: Q paramter v.s. BER
Q-value | BER | BER (Approx) | Plot Error (/ 500 pixels)
1.28 | 10-1 | 10-0.862 (1.37×10-1) | Not supported
2.33 | 10-2 | 10-1.94 (1.15×10-2) | 6 pixels
3.09 | 10-3 | 10-2.962 (1.09×10-3) | 3 pixels
3.72 | 10-4 | 10-3.98 (1.05×10-4) | 1 pixel
7.03 | 10-12 | 10-11.992 (1.02×10-12) | 0 pixel
7.94 | 10-15 | 10-14.992 (1.02×10-15) | 0 pixel

Finally, BER as a function of received power P [dBm] is given by

Reference
  1. "Fiber-Optic Communication Systems," 3rd Edition. Govind P. Agrawal. (Chapter 4, p.164)


Uninstallation

Other >> Uninstallation

To uninstall this application, retain the licence file and then delete only the parent folder. This application is a clean architecture by no use of system registy.